org.h2.value

## Class ExtTypeInfoGeometry

- java.lang.Object
- - org.h2.value.ExtTypeInfo
  - - org.h2.value.ExtTypeInfoGeometry

    public final class ExtTypeInfoGeometry
    extends ExtTypeInfo

Extended parameters of the GEOMETRY data type.

### Constructor Summary

Constructors
Constructor and Description
`ExtTypeInfoGeometry(int type, java.lang.Integer srid)` Creates new instance of extended parameters of the GEOMETRY data type.

### Method Summary

Methods
`Value` `cast(Value value)` Casts a specified value to this data type.
`java.lang.String` `getCreateSQL()` Returns SQL including parentheses that should be appended to a type name.
`java.lang.Integer` `getSrid()` Returns the SRID of geometries.
`int` `getType()` Returns the type and dimension system of geometries.

### Methods inherited from class org.h2.value.ExtTypeInfo

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExtTypeInfoGeometry

    public ExtTypeInfoGeometry(int type,
                       java.lang.Integer srid)

Creates new instance of extended parameters of the GEOMETRY data type.

Parameters:
  `type` - the type and dimension system of geometries, or 0 if not constrained
  `srid` - the SRID of geometries, or `null` if not constrained

### Method Detail

#### cast

    public Value cast(Value value)

Description copied from class: `ExtTypeInfo`
Casts a specified value to this data type.

Specified by:
  `cast` in class `ExtTypeInfo`
Parameters:
  `value` - value to cast
Returns:
  casted value

#### getCreateSQL

    public java.lang.String getCreateSQL()

Description copied from class: `ExtTypeInfo`
Returns SQL including parentheses that should be appended to a type name.

Specified by:
  `getCreateSQL` in class `ExtTypeInfo`
Returns:
  SQL including parentheses that should be appended to a type name

#### getType

    public int getType()

Returns the type and dimension system of geometries.

Returns:
  the type and dimension system of geometries, or 0 if not constrained

#### getSrid

    public java.lang.Integer getSrid()

Returns the SRID of geometries.

Returns:
  the SRID of geometries, or `null` if not constrained